Subject: bug#51352: Matterbridge contained a lot of vendored code

From: Leo Famulari <[email-masked]>
Date: Sat, 23 Oct 2021 15:49:28 -0400

On Sat, Oct 23, 2021 at 04:57:02PM +0200, Denis 'GNUtoo' Carikli wrote:
> Given the huge amount of dependencies I was wondering what was the best
> approach here:
> - Would it makes sense to remove matterbridge from Guix, or should we
>   fix it instead?

There's no need to remove it.

Vendoring, or bundling, is not a matter of software freedom, but rather
about maintainability or transparency.

With a bundled dependency graph, the Guix tools for inspecting and
manipulating the dependency graph do not work. But, we already bundle
the dependencies of some other Go packages, and every Rust package does
not work with the Guix dependency graph tooling.